using System.Collections.Generic;
using Siger.Middlelayer.Common.ModuleEnum;
using Siger.Middlelayer.Repository.Data;
using Siger.Middlelayer.Repository.Entities;

namespace Siger.Middlelayer.Repository.Repositories.Interface
{
    public interface Isiger_wms_areaRepository : IApiConfigRepositoryBase<siger_wms_area>
    {
        IEnumerable<LevelSectionTree> GetAreaType(WMSEnum type);
        List<int> GetAreaIDs(int pid = 0);
        List<LevelSectionTree> GetLastArea();

        IEnumerable<int> GetParentAreaIds(int id);
    }
}
